### Function

# Secret get_schema

#### Declaration [src]

    const SecretSchema*
    secret_get_schema (
      SecretSchemaType type
    )

#### Description [src]

Get a secret storage schema of the given `type`.

C code may access the schemas (such as `SECRET_SCHEMA_NOTE`) directly, but language bindings cannot, and must use this accessor.

Available since: | 0.18.6

#### Parameters

`type` | `SecretSchemaType`
| Type of schema to get.

#### Return value

Returns: | `SecretSchema`
| Schema type.
| The data is owned by the called function.